Comment 9 for bug 1670476

Description of problem:
Package ecryptfs-utils fails to build from source in Fedora Rawhide.

ecryptfs_key_mod_pkcs11_helper.c: In function 'ecryptfs_pkcs11h_get_public_key':
ecryptfs_key_mod_pkcs11_helper.c:284:12: error: dereferencing pointer to incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'

...
ecryptfs_key_mod_openssl.c:281:2: error: implicit declaration of function 'CRYPTO_malloc_init' [-Werror=implicit-function-declaration]

...
ecryptfs_key_mod_openssl.c:318:2: error: 'ERR_remove_state' is deprecated [-Werror=deprecated-declarations]

...
ecryptfs_key_mod_openssl.c:355:2: error: 'RSA_generate_key' is deprecated [-Werror=deprecated-declarations]

This is caused by upgrading openssl from 1:1.0.2j-1.fc26 to 1:1.1.0b-1.fc26.

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/ecryptfs-utils